camel-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From zregv...@apache.org
Subject [camel] branch master updated: CAMEL-12586: consistant surefire version in osg...
Date Mon, 18 Jun 2018 22:12:18 GMT
This is an automated email from the ASF dual-hosted git repository.

zregvart pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel.git


The following commit(s) were added to refs/heads/master by this push:
     new 108553c  CAMEL-12586: consistant surefire version in osg...
108553c is described below

commit 108553cad66559b2d9afd1a8de3aee850c5fe131
Author: Zoran Regvart <zregvart@apache.org>
AuthorDate: Tue Jun 19 00:12:13 2018 +0200

    CAMEL-12586: consistant surefire version in osg...
    
    ...i and Karaf tests
    
    Seems that the issue with Surefire was fixed. And Karaf is using 2.20.1
    of Surefire these days, so staying on 2.18.1 doesn't seem needed
    anymore.
---
 components/camel-test-karaf/pom.xml | 9 +--------
 tests/camel-itest-karaf/pom.xml     | 9 +--------
 tests/camel-itest-osgi/pom.xml      | 7 +------
 3 files changed, 3 insertions(+), 22 deletions(-)

diff --git a/components/camel-test-karaf/pom.xml b/components/camel-test-karaf/pom.xml
index d6e0e93..916d73c 100644
--- a/components/camel-test-karaf/pom.xml
+++ b/components/camel-test-karaf/pom.xml
@@ -158,13 +158,9 @@
 
       <plugin>
         <artifactId>maven-surefire-plugin</artifactId>
-        <!-- version 2.19.1 causes pax-exam to fail when testing the 2nd/3rd container
when testing all  -->
-        <!-- so we use an older version of surefire which works -->
-        <version>2.18.1</version>
         <configuration>
           <!-- do not re-run these tests -->
-          <!-- not supported by older version of surefire -->
-          <!--<rerunFailingTestsCount>0</rerunFailingTestsCount>-->
+          <rerunFailingTestsCount>0</rerunFailingTestsCount>
           <systemPropertyVariables>
             <karafVersion>${karaf4-version}</karafVersion>
           </systemPropertyVariables>
@@ -202,9 +198,6 @@
           <plugin>
             <groupId>org.apache.maven.plugins</groupId>
             <artifactId>maven-surefire-plugin</artifactId>
-            <!-- version 2.19.1 causes pax-exam to fail when testing the 2nd/3rd container
when testing all  -->
-            <!-- so we use an older version of surefire which works -->
-            <version>2.18.1</version>
             <configuration>
               <forkedProcessTimeoutInSeconds>300</forkedProcessTimeoutInSeconds>
               <!--
diff --git a/tests/camel-itest-karaf/pom.xml b/tests/camel-itest-karaf/pom.xml
index ba26961..c49eeef 100644
--- a/tests/camel-itest-karaf/pom.xml
+++ b/tests/camel-itest-karaf/pom.xml
@@ -188,13 +188,9 @@
 
       <plugin>
         <artifactId>maven-surefire-plugin</artifactId>
-        <!-- version 2.19.1 causes pax-exam to fail when testing the 2nd/3rd container
when testing all  -->
-        <!-- so we use an older version of surefire which works -->
-        <version>2.16</version>
         <configuration>
           <!-- do not re-run these tests -->
-          <!-- not supported by older version of surefire -->
-          <!--<rerunFailingTestsCount>0</rerunFailingTestsCount>-->
+          <rerunFailingTestsCount>0</rerunFailingTestsCount>
           <systemPropertyVariables>
             <karafVersion>${karaf4-version}</karafVersion>
             <camelKarafFeatureVersion>${project.version}</camelKarafFeatureVersion>
@@ -218,9 +214,6 @@
           <plugin>
             <groupId>org.apache.maven.plugins</groupId>
             <artifactId>maven-surefire-plugin</artifactId>
-            <!-- version 2.19.1 causes pax-exam to fail when testing the 2nd/3rd container
when testing all  -->
-            <!-- so we use an older version of surefire which works -->
-            <version>2.16</version>
             <configuration>
               <forkedProcessTimeoutInSeconds>300</forkedProcessTimeoutInSeconds>
               <!--
diff --git a/tests/camel-itest-osgi/pom.xml b/tests/camel-itest-osgi/pom.xml
index 35a7af8..b4f6a02 100644
--- a/tests/camel-itest-osgi/pom.xml
+++ b/tests/camel-itest-osgi/pom.xml
@@ -88,13 +88,8 @@
     <plugins>
       <plugin>
         <artifactId>maven-surefire-plugin</artifactId>
-        <!-- version 2.19.1 causes pax-exam to fail when testing the 2nd/3rd container
when testing all  -->
-        <!-- so we use an older version of surefire which works -->
-        <version>2.16</version>
         <configuration>
-          <!-- do not re-run these tests -->
-          <!-- not supported by older version of surefire -->
-          <!--<rerunFailingTestsCount>0</rerunFailingTestsCount>-->
+          <rerunFailingTestsCount>0</rerunFailingTestsCount>
           <systemPropertyVariables>
             <karafVersion>${karaf4-version}</karafVersion>
             <camelKarafFeatureVersion>${project.version}</camelKarafFeatureVersion>


Mime
View raw message